function wmouseclickext(h)

% get position in axix
pos = get(gca, 'CurrentPoint');
ylim = [min(h.x) max(h.x)];
ClickType = get(h.fig, 'SelectionType');

if strcmp(ClickType, 'alt') % && strcmp(lower(CurChar), 's')
    set(h.v1, 'XData', [NaN NaN], 'YData', [NaN NaN] );
    set(h.v2, 'XData', [NaN NaN], 'YData', [NaN NaN] );
    set(h.vp, 'XData', [NaN NaN], 'YData', [NaN NaN] );
    ha=get(get(gca,'Parent'),'Children');
        ind=max(size(ha));
        title(ha(ind),['Vstupní signál'])
else
    
    % get previous save x-location on axes (see creation of figure in pw.m)
    xloc = get( h.fig, 'UserData');
    % rozmer=size(get(h.v1,'XData'));
    % rozmer2=size(get(h.v2,'XData'));
    pos_h1=get(h.v1,'XData');
    pos_h2=get(h.v2,'XData');
    
    pivot=abs((pos_h1(1)+pos_h2(1))/2);
    
    if isnan(get(h.v1,'XData'))      %pro první kliknutí
        set(h.v1, 'XData', [pos(1) pos(1)], 'YData', ylim );
        %     set( h.fig, 'UserData', [ min( max(1, pos(1)), 1000*h.ns/h.fs ) xloc(2)]);
    elseif pos_h1(1)<pos(1) && isnan(pos_h2(1))       %pro druhé kliknutí pokud je druhé kliknutí dale než to první
        set(h.v2, 'XData', [pos(1) pos(1)], 'YData', ylim );
        %     set( h.fig, 'UserData', [xloc(1) min( max(1, pos(1)), 1000*h.ns/h.fs ) ]);
    elseif pos(1)<pivot             %prekreslovani mezi
        set(h.v1, 'XData', [pos(1) pos(1)], 'YData', ylim );
        %     set( h.fig, 'UserData', [ min( max(1, pos(1)), 1000*h.ns/h.fs ) xloc(2)]);
    elseif pos(1)>pivot
        set(h.v2, 'XData', [pos(1) pos(1)], 'YData', ylim );
        %     set( h.fig, 'UserData', [xloc(1) min( max(1, pos(1)), 1000*h.ns/h.fs ) ]);
    end
    
    % urceni pivota rozhodovaci urovne
    pos_h1=get(h.v1,'XData');
    pos_h2=get(h.v2,'XData');
    pivot=abs((pos_h1(1)+pos_h2(1))/2);
    if (isnan(pos_h1(1)))==0 && (isnan(pos_h2(1))==0)
        set(h.vp, 'XData', [pivot pivot], 'YData',ylim);
        ha=get(get(gca,'Parent'),'Children');
        ind=max(size(ha));
        title(ha(ind),['Vstupní signál, vybrána část od: ',num2str(round(pos_h1(1)*60)), '(s)  do: ', num2str(round(pos_h2(1)*60)),'(s)'])
    end
end







